// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

part of matchers;

class _IsTrue implements Matcher<bool> {
  bool matches(bool value) => identical(value, true);
  String get description => "be true";
}

class _IsFalse implements Matcher<bool> {
  bool matches(bool value) => identical(value, false);
  String get description => "be false";
}

/// Only the [true] value matches. It particularly means that
/// every value that isn't [bool] can't match.
Matcher<bool> isTrue() => new _IsTrue();

/// Only the [false] value matches. It particularly means that
/// every value that isn't [bool] can't match.
Matcher<bool> isFalse() => new _IsFalse();
